Dancer::Timer(3pm)

NAME
Dancer::Timer - a timer for Dancer

VERSION
version 1.3522

SYNOPSIS
    use Dancer::Timer;

    my $timer = Dancer::Timer->new();
    my $time  = $timer->tick;
    print "[$time]: Doing something\n";

    # (time passes)
    $time = $timer->tick;
    print "[$time]: Doing something else\n";

    # (time passes)
    $time = $timer->to_string;
    print "[$time]: Doing another thing\n";

DESCRIPTION
Dancer::Timer provides Dancer with a timing object to clock operations. For example, you might want a logging that shows you when each operation happened (at what time) to determine how long each operation was in order to know where to focus on for possible bugs or perhaps unnecessary slowness.

Dancer uses Dancer::Timer in facilities that want to provide this for you. Any plugin author is more than welcome to use it as well.

ATTRIBUTES

  start_time
Retains the starting time of the timer. The default value is when the object is created. It fetches that using "gettimeofday" from Time::HiRes.

METHODS

  init
This method is called when "->new()" is called. It initializes the "start_time" attribute.

  tick
Creates a tick in the timer and returns the interval between the "start_time" and now.

  to_string
Same as "tick", just more expressive.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2010 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.